GET
/
v4
/
sequences
/
{id}
Get a sequence
curl --request GET \
  --url https://api.reply.io/v4/sequences/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": 123,
  "ownerUserId": 42,
  "name": "Sales Outreach 2024",
  "created": "2024-03-08T14:30:00+00:00",
  "status": "Active",
  "isArchived": false,
  "scheduleId": 1,
  "emailAccounts": [
    {
      "id": 1,
      "email": "sales@company.com"
    },
    {
      "id": 2,
      "email": "outreach@company.com"
    }
  ],
  "linkedInAccounts": [
    {
      "id": 42,
      "name": "John Doe",
      "profileUrl": "https://www.linkedin.com/in/johndoe",
      "status": "Enabled"
    }
  ],
  "settings": {
    "emailsCountPerDay": 50,
    "daysToFinishProspect": 14,
    "emailSendingDelaySeconds": 30,
    "dailyThrottling": 200,
    "disableOpensTracking": false,
    "repliesHandlingType": "MARK_AS_FINISHED",
    "enableLinksTracking": true
  },
  "steps": [
    {
      "id": 1323,
      "type": "Email",
      "number": "1",
      "delayInMinutes": 0,
      "template": {
        "emailTemplate": {
          "executionMode": "Automatic",
          "templates": [
            {
              "variantId": 1,
              "subject": "Quick question about {{companyName}}",
              "body": "Hi {{firstName}},\n\nI noticed you're leading initiatives at {{companyName}} and wanted to reach out regarding our solution that could help with your sales automation needs.\n\nWould you be open to a quick chat this week?\n\nBest regards,\nJohn",
              "isEnabled": true
            }
          ]
        }
      }
    },
    {
      "id": 43432,
      "type": "LinkedIn",
      "number": "2",
      "delayInMinutes": 2880,
      "template": {
        "linkedInTemplate": {
          "actionType": "Message",
          "messageData": {
            "content": "Hi {{contact.firstName}}, I noticed your great work at {{contact.company}}. Would love to connect and discuss potential synergies between our companies."
          }
        }
      }
    }
  ]
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Path Parameters

id
integer
required

Sequence Id

Required range: x >= 1

Response

Sequence details retrieved successfully

id
integer

Unique identifier for the sequence

ownerUserId
integer

Identifier of the user who owns the sequence

name
string

Name of the sequence

created
string<date-time>

Sequence creation timestamp with timezone offset

status
enum<string>

Current status of the sequence

Available options:
New,
Active,
Paused
isArchived
boolean

Indicates if the sequence is archived

scheduleId
integer

Schedule ID

emailAccounts
object[]

Email accounts used to send emails for this sequence

linkedInAccounts
LinkedIn Account · object[]

LinkedIn accounts linked to this sequence

settings
Sequence Settings · object

Settings configuration for a sequence

steps
(Email · object | LinkedIn Message · object | LinkedIn Connect · object | LinkedIn InMail · object | LinkedIn View Profile · object | LinkedIn Endorse Skills · object | LinkedIn Voice Message · object | LinkedIn Like Recent Posts · object | LinkedIn Follow Profile · object | Call · object | SMS · object | WhatsApp · object | Zapier · object | Task · object | Condition · object)[]

Array of sequence steps

Email step with template configuration